Getting Started with Vue Markdown Editor

The Syncfusion Vue Markdown Editor is a web-based editor that enables users to create, edit, and format Markdown content with features such as table support and structured content formatting. This article provides a step-by-step guide for setting up a Vite project with a TypeScript environment and integrating the Syncfusion Vue Markdown Editor component using the Composition API.

To get started quickly with the Vue Markdown Editor, refer to this video tutorial:

Prerequisites

This guide uses Vite as the bundler and development environment. Install Node.js 24.13.0 or higher before proceeding. For detailed information about Vite’s capabilities and configuration options, refer to the Vite documentation.

For information about supported Vue versions and Syncfusion package compatibility, refer to the Version Compatibility documentation.

Create a Vue Application

Run the following commands to set up a Vue application:

npm create vite@latest my-app -- --template vue-ts

This command will prompt you to install the required packages and start the application. Select the options as shown below.

Markdown Editor Initial setup

Since the Syncfusion packages are not installed at this stage, choose the No option when prompted. Then, navigate to the project directory and install the dependencies using the following commands:

cd my-app
npm install

Add Syncfusion Markdown Editor packages

Syncfusion packages are available at npmjs.com. To use Vue components, install the required npm package.

npm install @syncfusion/ej2-vue-richtexteditor

Adding CSS reference

Syncfusion provides multiple themes for the Rich Text Editor component. For a complete list of available themes, refer to the themes packages.

To apply the Tailwind 3 theme, install the corresponding theme package by using the following command:

npm install @syncfusion/ej2-tailwind3-theme

The installed theme package includes an index.css file that automatically imports all the required dependency styles. Import the following stylesheet into <style> section of src/App.vue.

@import '../node_modules/@syncfusion/ej2-tailwind3-theme/styles/rich-text-editor/index.css';

To apply the application-specific styles correctly remove all the default styles from src/style.css.

Module injection

The following modules provide the basic features of the Markdown Editor.

  • Toolbar - Inject this module to use the Toolbar feature.
  • Link - Inject this module to use the link feature in Markdown Editor.
  • Image- Inject this module to use the image feature in Markdown Editor.
  • MarkdownEditor - Inject this module to use the Rich Text Editor as Markdown Editor.

These modules can be injected as services using Vue’s provide function as demonstrated in the following example.

<template>
        <ejs-richtexteditor editorMode="Markdown"></ejs-richtexteditor>
</template>

<script setup>
import { provide } from "vue";
import { RichTextEditorComponent as EjsRichtexteditor, Toolbar, Link, Table, Image, MarkdownEditor } from '@syncfusion/ej2-vue-richtexteditor';

provide('richtexteditor', [Toolbar, Link, Image, Table, MarkdownEditor]);
</script>

<style>
@import '../node_modules/@syncfusion/ej2-tailwind3-theme/styles/rich-text-editor/index.css';
</style>
<template>
 <ejs-richtexteditor editorMode="Markdown"></ejs-richtexteditor>
</template>

<script>
import { RichTextEditorComponent, Toolbar, Link, Image, Table, MarkdownEditor } from '@syncfusion/ej2-vue-richtexteditor';
export default {
    name: "App",
    components: {
        'ejs-richtexteditor': RichTextEditorComponent
    },
   data: function () {
    return {
    };
  },
  provide: {
    richtexteditor: [Toolbar, Link, Image, Table, MarkdownEditor],
  },
}
</script>

<style>
@import '../node_modules/@syncfusion/ej2-tailwind3-theme/styles/rich-text-editor/index.css';
</style>

Additional feature modules are available here.

Adding Markdown Editor component

Now, you can start adding the Vue Markdown Editor component in the application. For getting started, add the Markdown Editor component in src/App.vue file using the following sample.

<template>
        <ejs-richtexteditor editorMode="Markdown"></ejs-richtexteditor>
</template>

<script setup>
import { provide } from "vue";
import { RichTextEditorComponent as EjsRichtexteditor, Toolbar, Link, Table, Image, MarkdownEditor } from '@syncfusion/ej2-vue-richtexteditor';

provide('richtexteditor', [Toolbar, Link, Image, Table, MarkdownEditor]);
</script>

<style>
@import '../node_modules/@syncfusion/ej2-tailwind3-theme/styles/rich-text-editor/index.css';
</style>
<template>
 <ejs-richtexteditor editorMode="Markdown"></ejs-richtexteditor>
</template>

<script>
import { RichTextEditorComponent, Toolbar, Link, Image, Table, MarkdownEditor } from '@syncfusion/ej2-vue-richtexteditor';
export default {
    name: "App",
    components: {
        'ejs-richtexteditor': RichTextEditorComponent
    },
   data: function () {
    return {
    };
  },
  provide: {
    richtexteditor: [Toolbar, Link, Image, Table, MarkdownEditor],
  },
}
</script>

<style>
@import '../node_modules/@syncfusion/ej2-tailwind3-theme/styles/rich-text-editor/index.css';
</style>

Run the project

To run the project, use the following command:

npm run dev

The Syncfusion® Vue Markdown Editor is displayed in the browser as shown below.

Syncfusion Vue Markdown Editor output

See Also

Getting Started with React Markdown Editor

The Syncfusion React Markdown Editor is a web-based editor that enables users to create, edit, and format Markdown content with features such as table support and structured content formatting. This section explains the steps required to create a simple Markdown Editor and demonstrate the basic usage of the Markdown Editor component in a React environment.

Ready to streamline your Syncfusion® React development? Discover the full potential of Syncfusion® React components with Syncfusion® AI Coding Assistant. Effortlessly integrate, configure, and enhance your projects with intelligent, context-aware code suggestions, streamlined setups, and real-time insights—all seamlessly integrated into your preferred AI-powered IDEs like VS Code, Cursor, Syncfusion® CodeStudio and more. Explore Syncfusion® AI Coding Assistant

To get started quickly with the React Markdown Editor, refer to this video tutorial:

Prerequisites

This guide uses Vite as the bundler and development environment. Install Node.js 24.13.0 or higher before proceeding. For detailed information about Vite’s capabilities and configuration options, refer to the Vite documentation.

For information about supported React versions and Syncfusion package compatibility, refer to the Version Compatibility documentation.

Create a React Application

Run the following command to set up a React application:

npm create vite@latest my-app -- --template react-ts

This command prompts you to configure the React application. When prompted to choose a linter, select either Oxlint or ESLint based on your preference.

Markdown Editor Linter configuration

Continue with the project setup and select the options as shown below.

Markdown Editor Initial setup

As Syncfusion packages are not installed yet, currently, the No option will be selected. Then, navigate to the project directory and install the dependencies using the following commands:

cd my-app
npm install

Note: To set up a React application with Nextjs or Remix, refer to this documentation for more details.

Adding Syncfusion Rich Text Editor packages

All the available Essential JS 2 packages are published in the npmjs.com public registry.
To install the Rich Text Editor component, use the following command

npm install @syncfusion/ej2-react-richtexteditor

Adding CSS reference

Syncfusion provides multiple themes for the Rich Text Editor component. For a complete list of available themes, refer to the themes packages.

To apply the Tailwind 3 theme, install the corresponding theme package by using the following command:

npm install @syncfusion/ej2-tailwind3-theme

The installed theme package includes an index.css file that automatically imports all the required dependency styles. Import the following stylesheet into src/App.css:

@import '../node_modules/@syncfusion/ej2-tailwind3-theme/styles/rich-text-editor/index.css';

To apply the application-specific styles correctly, import App.css into src/App.tsx and remove all the default styles from src/index.css.

Module Injection

The following modules provide the basic features of the Markdown Editor.

  • MarkdownEditor - Inject this module to use the Rich Text Editor as Markdown Editor.
  • Image - Inject this module to use the image feature in Markdown Editor.
  • Link - Inject this module to use the link feature in Markdown Editor.
  • Toolbar - Inject this module to use the Toolbar feature.

These modules can be injected into the services prop of the <Inject> component, as demonstrated in the following example.

import { MarkdownEditor, Inject, RichTextEditorComponent, Toolbar, Link, Image, Table } from '@syncfusion/ej2-react-richtexteditor';
import './App.css';

function App() {
  return (<RichTextEditorComponent editorMode={'Markdown'}>
    <Inject services={[Toolbar, MarkdownEditor, Link, Image, Table]} />
  </RichTextEditorComponent>
  );
}

export default App;
import { MarkdownEditor, Inject, RichTextEditorComponent, Toolbar, Link, Image, Table } from '@syncfusion/ej2-react-richtexteditor';
import './App.css';

function App() {
  return (<RichTextEditorComponent editorMode={'Markdown'}>
    <Inject services={[Toolbar, MarkdownEditor, Link, Image, Table ]}/>
  </RichTextEditorComponent>);
}
export default App;

Additional feature modules are available here.

Adding Markdown Editor component

Now, you can start adding React Markdown Editor component to the application. For getting started, add the Markdown Editor component to the src/App.tsx file using following code.

import { MarkdownEditor, Inject, RichTextEditorComponent, Toolbar, Link, Image, Table } from '@syncfusion/ej2-react-richtexteditor';
import './App.css';

function App() {
  return (<RichTextEditorComponent editorMode={'Markdown'}>
    <Inject services={[Toolbar, MarkdownEditor, Link, Image, Table]} />
  </RichTextEditorComponent>
  );
}

export default App;
import { MarkdownEditor, Inject, RichTextEditorComponent, Toolbar, Link, Image, Table } from '@syncfusion/ej2-react-richtexteditor';
import './App.css';

function App() {
  return (<RichTextEditorComponent editorMode={'Markdown'}>
    <Inject services={[Toolbar, MarkdownEditor, Link, Image, Table ]}/>
  </RichTextEditorComponent>);
}
export default App;
@import '../node_modules/@syncfusion/ej2-tailwind3-theme/styles/rich-text-editor/index.css';

Run the Application

Now run the npm run dev command in the console to start the development server. This command compiles your code and serves the application locally, opening it in the browser.

npm run dev

The Syncfusion® React Markdown Editor is displayed in the browser as shown below.

Syncfusion React Markdown Editor output

See Also

Getting Started with Angular Markdown Editor

The Syncfusion Angular Markdown Editor is a web-based editor that enables users to create, edit, and format Markdown content with features such as table support and structured content formatting. This section explains the steps required to create a simple Angular Markdown Editor component and configure its available functionalities.

To enable the quick Markdown editing feature, inject MarkdownEditorService in the provider section of AppComponent.

Ready to streamline your Syncfusion® Angular development? Discover the full potential of Syncfusion® Angular components with Syncfusion® AI Coding Assistant. Effortlessly integrate, configure, and enhance your projects with intelligent, context-aware code suggestions, streamlined setups, and real-time insights—all seamlessly integrated into your preferred AI-powered IDEs like VS Code, Cursor, Syncfusion® CodeStudio and more. Explore Syncfusion® AI Coding Assistant

To get started quickly with the Angular Markdown Editor using CLI and Schematics, refer to this video tutorial:

Prerequisites

This guide uses the Angular CLI to manage Angular applications. It requires Node 24.13.0 or higher. For more information about Angular CLI and its features, refer to the Angular CLI.

For information about supported Angular versions and Syncfusion package compatibility, refer to the Version Compatibility documentation.

Set up Angular Environment

You can use Angular CLI to set up your Angular applications. To install Angular CLI use the following command.

npm install -g @angular/cli

Create an Angular Application

Start a new Angular application using below Angular CLI command.

ng new my-app

This command will prompt you for a few settings for the new project, such as which stylesheet format to use.

Initial_Setup

By default, the Angular CLI creates a CSS-based application.

Then the CLI also displays an additional prompt asking whether to enable Server‑Side Rendering (SSR) and Static Site Generation (SSG), as shown below:

Server_Side_Rendering_Setup

For this setup, when prompted for the Server-side rendering (SSR) option, choose an appropriate configuration.

Then the CLI displays another prompt related to AI tooling support, as shown below:

AI_Tool_Setup

Any preferred option can be selected based on the development workflow or project needs.

Next, navigate to the project folder:

cd my-app

Adding Syncfusion Rich Text Editor package

All available Essential JS 2 packages are published in npmjs.com registry.

To install the Rich Text Editor component, use the following command.

npm install @syncfusion/ej2-angular-richtexteditor

Adding CSS reference

Syncfusion provides multiple themes for the Rich Text Editor component. For a complete list of available themes, refer to the themes packages.

To apply the Material 3 theme, install the corresponding theme package by using the following command:

npm install @syncfusion/ej2-material3-theme

The installed theme package includes an index.css file that automatically imports all the required dependency styles. Import the following stylesheet into src/styles.css.

@import '../node_modules/@syncfusion/ej2-material3-theme/styles/rich-text-editor/index.css';

You can also refer to the themes section for details about built-in themes and CSS references for individual controls.

Module Injection

The following modules are used to utilize the basic capabilities of the Markdown Editor:

  • MarkdownEditor - Inject this module to use the Rich Text Editor as Markdown Editor.
  • Image - Inject this module to use the image feature in Markdown Editor.
  • Link - Inject this module to use the link feature in Markdown Editor.
  • Toolbar - Inject this module to use the Toolbar feature.

These modules can be injected as services through the component’s providers array, as demonstrated in the following example.

import { Component } from '@angular/core';
import { RichTextEditorModule, ToolbarService, MarkdownEditorService, HtmlEditorService, ImageService, LinkService, TableService, ToolbarSettingsModel } from '@syncfusion/ej2-angular-richtexteditor';

@Component({
  imports: [RichTextEditorModule],
  standalone: true,
  selector: "app-root",
  template: `<ejs-richtexteditor [editorMode]="mode"></ejs-richtexteditor>`,
  providers: [ToolbarService, HtmlEditorService, MarkdownEditorService, ImageService, LinkService, TableService],
})
export class App {
  public mode: string = 'Markdown';
}

Additional feature modules are available here.

Adding Markdown Editor component

Modify the template in the [src/app/app.ts] file to render the Markdown Editor component. Add the Angular Markdown Editor by using the <ejs-richtexteditor> selector in the template section of the app.ts file.

import { Component } from '@angular/core';
import { RichTextEditorModule, ToolbarService, MarkdownEditorService, HtmlEditorService, ImageService, LinkService, TableService, ToolbarSettingsModel } from '@syncfusion/ej2-angular-richtexteditor';

@Component({
  imports: [RichTextEditorModule],
  standalone: true,
  selector: "app-root",
  template: `<ejs-richtexteditor [editorMode]="mode"></ejs-richtexteditor>`,
  providers: [ToolbarService, HtmlEditorService, MarkdownEditorService, ImageService, LinkService, TableService],
})
export class App {
  public mode: string = 'Markdown';
}
import { bootstrapApplication } from '@angular/platform-browser';
import { AppComponent } from './app.component';
import 'zone.js';
bootstrapApplication(AppComponent).catch((err) => console.error(err));
@import '../node_modules/@syncfusion/ej2-material3-theme/styles/rich-text-editor/index.css';

Run the Application

Use the following command to run the application in the browser.

ng serve --open

The Syncfusion® Angular Markdown Editor is displayed in the browser as shown below.

Syncfusion Angular Markdown Editor output

See Also

Documentation links

Live samples